module image_types

integer, parameter ::  IMAGE_INPUT=-1
integer, parameter ::  IMAGE_OUTPUT=1
integer, parameter ::  IMAGE_NO_FILE=0

type image_param_type 
   character(len=128) :: tag,tag_hz,tag_sou,tag_rec
   logical write_image_progress,write_image_hz,image_memory
   logical read_image_progress,two_images
   integer file
   integer esize
   integer n_t,n_z,n_hx,n_hy,n_hz,n_mx,n_my,n_t_lag,n_sx,n_sy
   real d_t,d_z,d_hx,d_hy,d_hz,d_mx,d_my,d_t_lag,d_sx,d_sy
   real t_0,z_0,hx_0,hy_0,hz_0,mx_0,my_0,t_0_lag,sx_0,sy_0
   real t_max
end type image_param_type 

end module image_types

