module wave_types

  integer, parameter ::  WAVE_SYNTH=-2
  integer, parameter ::  WAVE_INPUT=-1
  integer, parameter ::  WAVE_OUTPUT=1
  integer, parameter ::  WAVE_NO_FILE=0

  type wave_param_type 
     character(len=128) tag_second,tag_first,tag_back
     integer esize
     integer file,file_back
     integer n_t,n_t_step,n_t_back
     integer n_z
     integer n_hx,n_hy,n_mx,n_my
     integer n_off_x,n_off_y,n_sx,n_sy,n_s1_par,n_s2_par
     integer i_z_sou, i_z_rec

     real d_t,d_z,d_t_back
     real d_hx,d_hy,d_mx,d_my,d_kz,d_khx,d_khy,d_kmx,d_kmy
     real d_off_x,d_off_y,d_sx,d_sy
     real t_0,z_0,t_back_0
     real hx_0,hy_0,mx_0,my_0,kz_0,khx_0,khy_0,kmx_0,kmy_0
     real off_x_0,off_y_0,sx_0,sy_0

     integer, pointer, dimension (:)   :: i_t_step,i_t_step_back

  end type wave_param_type

end module wave_types

