module wavelet_types

  integer, parameter ::  WAVELET_SYNTH=-2
  integer, parameter ::  WAVELET_INPUT=-1
  integer, parameter ::  WAVELET_OUTPUT=1
  integer, parameter ::  WAVELET_NO_FILE=0

  type wavelet_param_type 
     character(len=128) tag
     integer esize
     integer file
     integer n_t,n_z,n_off_x,n_off_y

     real t_0,d_t,z_0,d_z,off_x_0,d_off_x,off_y_0,d_off_y,t_delay

  end type wavelet_param_type

end module wavelet_types

