!!  Re2D_ho_fd
!
!
!%

program Rev2D_ho_fd

  use sep
  use genrev3d_mod

  use Rev2D_ho_fd_types
  use Rev2D_ho_fd_mod

  implicit none


  interface 
     subroutine param_Rev2D_ho_fd(Rev2D_ho_fd_par)
       use Rev2D_ho_fd_types
       type (Rev2D_ho_fd_param_type) Rev2D_ho_fd_par
     end subroutine param_Rev2D_ho_fd
  end interface
 


  type (Rev2D_ho_fd_param_type) Rev2D_ho_fd_par
  logical adj,add
  logical test
  integer stat
  character(len=128) tag_data,tag_mod
  integer                          :: omp_get_num_threads

  call initpar()

  call sep_begin_prog()

  call from_par('test',test,.false.)
  call from_par('add',add,.false.)
  call from_par('adj',adj,.false.)


    call param_Rev2D_ho_fd(Rev2D_ho_fd_par)
    call init_Rev2D_ho_fd_par(Rev2D_ho_fd_par)
    call genrev3d_init(verb=.false.,init_rev_extrap_oper=Rev2D_ho_fd_init)

    tag_data='Image'
    tag_mod='Data'

!!!$OMP PARALLEL
!!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!!$OMP END PARALLEL

   stat=genrev3d(adj,add,tag_mod,tag_data, &
                  Rev2D_ho_fd_extrap_oper,Rev2D_ho_fd_der2time_oper, &
                  Rev2D_ho_fd_scatter_oper)

   call genrev3d_clean(verb=.false.,clean_rev_extrap_oper=Rev2D_ho_fd_clean)
 
   call sep_end_prog()

  stop	
end program Rev2D_ho_fd
