!!  Re2D_spectral
!
!
!%

program Rev2D_spectral

  use sep
  use genrev3d_mod

  use Rev2D_spectral_types
  use Rev2D_spectral_mod

  implicit none


  interface 
     subroutine param_Rev2D_spectral(Rev2D_spectral_par)
       use Rev2D_spectral_types
       type (Rev2D_spectral_param_type) Rev2D_spectral_par
     end subroutine param_Rev2D_spectral
  end interface
 


  type (Rev2D_spectral_param_type) Rev2D_spectral_par
  logical adj,add
  logical test
  integer stat
  character(len=128) tag_data,tag_mod
  integer                          :: omp_get_num_threads

!  type (image_param_type) image_par
!  type (data_param_type) data_par

  call initpar()

  call sep_begin_prog()

  call from_par('test',test,.false.)
  call from_par('add',add,.false.)
  call from_par('adj',adj,.false.)



    call param_Rev2D_spectral(Rev2D_spectral_par)
    call init_Rev2D_spectral_par(Rev2D_spectral_par)
    call genrev3d_init(verb=.false.,init_rev_extrap_oper=Rev2D_spectral_init)

!    tag_data=image_par%tag
!    tag_mod=data_par%tag
!
!write(0,*)'tag_data=',trim(tag_data)
!write(0,*)'tag_mod=',trim(tag_mod)

    tag_data='Image'
    tag_mod='Data'

!!!$OMP PARALLEL
!!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!!$OMP END PARALLEL

   stat=genrev3d(adj,add,tag_mod,tag_data, &
                  Rev2D_spectral_extrap_oper,Rev2D_spectral_der2time_oper, &
                  Rev2D_spectral_scatter_oper)
 
   call genrev3d_clean(verb=.false.,clean_rev_extrap_oper=Rev2D_spectral_clean)

   call sep_end_prog()

  stop	
end program Rev2D_spectral
