!!  FocusMes_v4
!
!
!%

program FocusMes_v4

  use sep
  use focusmes_types
  use FocusMes_mod
  use FocusMes_transp_mod

  implicit none

  interface 
     subroutine param_focusmes(focusmes_par)
       use focusmes_types
       type (focusmes_param_type) focusmes_par
     end subroutine param_focusmes
  end interface

  interface 
     subroutine param_focusmes_transp(focusmes_par)
       use focusmes_types
       type (focusmes_param_type) focusmes_par
     end subroutine param_focusmes_transp
  end interface
 

  type (focusmes_param_type) focusmes_par
  logical adj,add,transp_image
  integer stat
  character(len=128) tag_data,tag_mod
  integer            :: omp_get_num_threads

  call initpar()

  call sep_begin_prog()

  call from_param('add',add,.false.)
  call from_param('adj',adj,.false.)
  call from_param('transp_image',transp_image,.false.)
  if(transp_image) then
    call param_focusmes_transp(focusmes_par)
    stat=FocusMes_transp_init(focusmes_par)
    stat=FocusMes_transp_oper(focusmes_par)
  else
    call param_focusmes(focusmes_par)
    stat=FocusMes_init(focusmes_par)
    stat=FocusMes_oper(focusmes_par)
  end if


!!$OMP PARALLEL
!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!$OMP END PARALLEL

   call sep_end_prog()

  stop	

end program FocusMes_v4
