module focusmes_types

type focusmes_param_type 
   character(len=5) :: aperture_type
   character(len=9) :: oper_name
   character(len=128) :: tag_cig,tag_kurtosis,tag_semblance,tag_aperture
   character(len=128) :: tag_apert_dip,tag_apert_apert,tag_apert_apert_dip
   character(len=128) :: tag_sum_squares,tag_dips_0
   character(len=128) :: label_z,label_hx,label_mx,label_gamma,label_rho
   character(len=128) :: label_dip,label_rad_curv

   logical verb,debug1,debug2
   logical apert_ang_image,dip_ang_image,curvature_image,curvature_semblance
   logical only_apert_ang_sembl
   logical prestack_image,write_prestack
   logical semblance,kurtosis,norm_semblance
   logical cig,aperture,dips_0
   logical sum_squares_input,zero_split_dip,scan_dips_0,read_dips_0
   logical global_straight_rays,stack_power,map_pseudo_depth
   logical linear_curvature_scale
   integer n_threads,max_memory
   integer n_z,n_mx,n_hx,n_gamma,n_dip,n_rho,n_rad_curv,n_scan_dip_0
   integer n_z_avg,n_mx_avg
   real d_z,d_mx,d_hx,d_gamma,d_dip,d_rho,d_rad_curv,d_scan_dip_0
   real z_0,mx_0,hx_0,gamma_0,rho_0,dip_0,rad_curv_0,dip_0_curv,scan_dip_0_0
   real global_threshold,local_threshold
   real flip_sign_dip,split_dip,split_dip_1,z_split_dip_1
   real rad_curv_scale,z_ref,max_dip_prop,max_dip_range


end type focusmes_param_type 

end module focusmes_types

