!!  ResMig_v3
!
!
!%

program ResMig_v3

  use sep
  use resmig_types
  use ResMig_mod

  implicit none

  interface 
     subroutine param_resmig(resmig_par)
       use resmig_types
       type (resmig_param_type) resmig_par
     end subroutine param_resmig
  end interface
 

  type (resmig_param_type) resmig_par
  logical adj,add
  integer stat
  character(len=128) tag_data,tag_mod
  integer            :: omp_get_num_threads

  call initpar()

  call sep_begin_prog()

  call from_param('add',add,.false.)
  call from_param('adj',adj,.false.)

  call param_resmig(resmig_par)

  stat=ResMig_init(resmig_par)
      write(0,*)'after init status=',stat
  stat=ResMig_oper(resmig_par)
      write(0,*)'after oper status=',stat

!!$OMP PARALLEL
!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!$OMP END PARALLEL

   call sep_end_prog()

  stop	

end program ResMig_v3
