module resmig_types

type resmig_param_type 
   character(len=128) :: oper_name
   character(len=128) :: tag_cig
   character(len=128) :: tag_cig_transf
   character(len=128) :: tag_resmig
   character(len=128) :: tag_dips_0
   character(len=128) :: tag_sum_squares
   character(len=128) :: label_z,label_hx,label_mx,label_gamma,label_rho
   character(len=128) :: label_dip,label_rad_curv,label_cube

   logical verb,debug1,debug2,adj
   logical apert_ang_image,dip_ang_image,curvature_image
   logical write_prestack,write_sum_squares
   logical rmo_ang_cig,rmig_ang_cig,cig,dips_0
   logical write_cig_transf
   logical global_straight_rays,zero_dip,vertical_only,non_linear_resmig
   logical map_pseudo_depth,map_pseudo_depth_only,inverse_mapping
   logical linear_curvature_scale,read_dips_0
   integer n_threads,max_memory
   integer n_z,n_z_pad,n_mx,n_mx_pad,n_hx,n_hx_pad,n_gamma
   integer n_rho,n_dip,n_rad_curv,n_dip_0_curv,n_cube
   real d_z,d_mx,d_hx,d_gamma,d_rho,d_dip,d_rad_curv,d_dip_0_curv,d_cube
   real z_0,mx_0,hx_0,gamma_0,rho_0,dip_0,rad_curv_0,dip_0_curv_0,dip_0_curv,cube_0
   real flip_sign_dip,rad_curv_scale

   real z_ref,max_dip,max_gamma,max_prop_ang

end type resmig_param_type 

end module resmig_types

